What are the minimum requirements to run the Xerifleet mobile app?

Android (Samsung, Motorola, etc)

As of this writing, the Xerifleet mobile app works with 94.1% of all Android devices worldwide. We support Android all the way back to 5.0 Lollipop. which was released in 2014!

In short, any modern Android-powered device will work great with Xerifleet!

 

iOS (iPhone & iPad)

As of this writing, Xerifleet for iPad and iPhone requires iOS/iPadOS version 12+. This covers roughly 98-99% of all devices released within the last 4 years.

 

If you have any questions or concerns about device compatibility, or are having trouble getting the app for your devices, please don't hesitate to contact us.